aboutsummaryrefslogtreecommitdiff
path: root/package/pulseview
Commit message (Collapse)AuthorAgeFilesLines
* package/pulseview: fix patchGravatar Fabrice Fontaine2021-03-291-2/+4
| | | | | | | | | | | Commit 4b7db318262a023a4a5396b06adafd9fd19d40a3 forgot to restore upstream patch Fixes: - http://autobuild.buildroot.org/results/589cfc6ea43dc5e714751f05be488f5c469641b9 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr>
* package/pulseview: bump to version 0.4.2Gravatar Fabrice Fontaine2021-03-205-40/+5
| | | | | | | | | | | - Drop first patch (already in version) - BR2_PACKAGE_QT5TOOLS_LINGUIST_TOOLS is mandatory since https://sigrok.org/gitweb/?p=pulseview.git;a=commit;h=0466001be51e779b23aaebec1cc9361305c07be9 https://github.com/sigrokproject/pulseview/blob/pulseview-0.4.2/NEWS Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/pulseview: fix build with recent Qt versionsGravatar Thomas Petazzoni2020-08-151-0/+133
| | | | | | | | | | | | | | | | This commit backports an upstream commit to fix the build of pulseview with recent Qt versions. Note that pulseview has a 0.4.2 version (newer than our 0.4.1) but it doesn't have the fix we need. And 0.4.2 now requires additional Qt translation tools, so the update to 0.4.2 is anyway not straightforward. Fixes: http://autobuild.buildroot.net/results/c9e27a91905dfda0ba1ddb12c7910316d3ee82ef/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/pulseview: depends on host gcc >= 4.9Gravatar Fabrice Fontaine2020-02-181-2/+4
| | | | | | | | | | | Commit 88bb278d5ac790bee0c3a438464da82ee7625cff forgot to propagate the new host gcc >= 4.9 dependency from BR2_PACKAGE_LIBSIGROKCXX Fixes: - http://autobuild.buildroot.org/results/5dc9dc95d0534b35e2443c120162b5176edafe0b Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/p*: add license file hashesGravatar Heiko Thiery2020-02-031-1/+2
| | | | | Signed-off-by: Heiko Thiery <heiko.thiery@gmail.com> Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr>
* package/pulseview: propagate BR2_ENABLE_LOCALE dependency of libsigrokGravatar Thomas Petazzoni2018-12-311-2/+4
| | | | | | | | | | Since commit 922b82bde9d554237769c21e50f6c5b4f73f41a8 ("libsigrok: bump version to 0.5.1"), libsigrok depends on BR2_ENABLE_LOCALE, but this dependency was not propagated to pulseview. This commit fixes this issue. Reported-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/pulseview: drop boost threadGravatar Fabrice Fontaine2018-12-061-1/+0
| | | | | | | | Since bump to 0.4.0, boost thread is not needed anymore: https://sigrok.org/gitweb/?p=pulseview.git;a=commit;h=b8f1cdeba7cf6c2b749ff60102ce4e260fa1309e Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/pulseview: fix a build error with libsigrokdecode disabledGravatar Bartosz Golaszewski2018-12-061-0/+37
| | | | | | | | | | | | Add a patch that fixes a build error occuring when libsigrokdecode is not selected. Fixes: http://autobuild.buildroot.net/results/79ed29bdd1eec9bf7cb5003202da5ceaeb8101b6/ Signed-off-by: Bartosz Golaszewski <brgl@bgdev.pl> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* pulseview: bump version to 0.4.1Gravatar Bartosz Golaszewski2018-11-172-2/+2
| | | | | Signed-off-by: Bartosz Golaszewski <bgolaszewski@baylibre.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* glibmm: bump required gcc version to 4.9Gravatar Adam Duskett2017-10-211-3/+3
| | | | | | | | | | Fixes: http://autobuild.buildroot.net/results/052905b339c6aecc33e9b91d9cc658baeb51ed8f/ Signed-off-by: Adam Duskett <Adamduskett@outlook.com> [Thomas: propagate to pulseview.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libzip: depend on !BR2_STATIC_LIBSGravatar Bartosz Golaszewski2017-07-051-2/+4
| | | | | | | | | | | | | Since version 1.2.0 libzip requires dynamic library capabilities. Add it to Config.in and propagate this dependency to packages selecting libzip. Fixes: http://autobuild.buildroot.net/results/c50ffa5bf565e75333192edc89e2d39044d07f26/ Signed-off-by: Bartosz Golaszewski <brgl@bgdev.pl> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* pulseview: bump version to 0.4.0Gravatar Bartosz Golaszewski2017-07-026-204/+3
| | | | | | | | | The patches are now upstream and can be removed. Remove the comment about Qt4 - it's no longer valid. Add boost-serialization to dependencies. Signed-off-by: Bartosz Golaszewski <brgl@bgdev.pl> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/pulseview: fix a build issueGravatar Bartosz Golaszewski2017-05-171-0/+28
| | | | | | | | | | | Backport an upstream patch fixing the build issue related to boost math definitions. Fixes: http://autobuild.buildroot.net/results/e9f/e9f3f175e203529c44ecf92a34b82a0b3a473e34/ Signed-off-by: Bartosz Golaszewski <brgl@bgdev.pl> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/p*/Config.in: fix ordering of statementsGravatar Adam Duskett2017-05-011-8/+8
| | | | | | | | | | | | | The check-package script when ran gives warnings on ordering issues on all of these Config files. This patch cleans up all warnings related to the ordering in the Config files for packages starting with the letter p in the package directory. The appropriate ordering is: type, default, depends on, select, help See http://nightly.buildroot.org/#_config_files for more information. Signed-off-by: Adam Duskett <Adamduskett@outlook.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* boot, package: use SPDX short identifier for GPLv3/GPLv3+Gravatar Rahul Bedarkar2017-04-011-1/+1
| | | | | | | | | | | | We want to use SPDX identifier for license string as much as possible. SPDX short identifier for GPLv3/GPLv3+ is GPL-3.0/GPL-3.0+. This change is done using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/\<GPLv3\>/GPL-3.0/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Acked-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* Merge branch 'next'Gravatar Peter Korsgaard2016-06-011-2/+0
|\ | | | | | | Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
| * boost: remove BR2_PACKAGE_BOOST_ARCH_SUPPORTS optionGravatar Thomas Petazzoni2016-05-171-2/+0
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | The BR2_PACKAGE_BOOST_ARCH_SUPPORTS option was originally added in commit feeab03fa68a02733ae9382b7d47d9eb0d785188 to be able to disable Boost on broken NIOSII CodeSourcery toolchains. However, since then, the CodeSourcery toolchain has been updated, and once the fenv problem is fixed, this NIOSII toolchain is capable of building Boost. Thanks to this we can completely get rid of the BR2_PACKAGE_BOOST_ARCH_SUPPORTS symbol, from boost itself and from all its reverse dependencies. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* | package/pulseview: fix build when linking against libatomic is neededGravatar Samuel Martin2016-05-291-0/+117
|/ | | | | | | | | | | | | | | | | | | | | With some toolchains, using atomics requires to explicitly add -latomic to the linker flags. This change adds a patch to pulseview adding this detection and updating the LDFLAGS when appropriate. This patch has be sent upstream: http://article.gmane.org/gmane.comp.debugging.sigrok.devel/2097 Fixes: http://autobuild.buildroot.org/results/1e3/1e3101261252d5f30fdf842cc99604e4f4c25eef/build-end.log Cc: Bartosz Golaszewski <bgolaszewski@baylibre.com> Cc: Romain Naour <romain.naour@gmail.com> Cc: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Samuel Martin <s.martin49@gmail.com> Reviewed-by: Romain Naour <romain.naour@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* Revert "pulseview: needs boost atomic/date_time as well"Gravatar Peter Korsgaard2016-03-261-2/+0
| | | | | | | | | | | This reverts commit b0864b0c416c35625d8d7c2ab3cf6040aa174b8d. As reported by Bernd and Gustavoz, this was caused by a cmake bug which has been fixed in 3.5.1, so this is no longer needed: http://public.kitware.com/pipermail/cmake/2016-March/063085.html Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* pulseview: needs boost atomic/date_time as wellGravatar Peter Korsgaard2016-03-251-0/+2
| | | | | | | | | | | | | | | | | | | | Fixes: http://autobuild.buildroot.net/results/15e/15ebb8bc2b50080c37c635462a5faf63f038f014/ http://autobuild.buildroot.net/results/2ac/2ac1c2fb79a46605be829ddfd44db671ba229f26/ From the cmake log: Could not find the following Boost libraries: boost_date_time boost_atomic Some (but not all) of the required Boost libraries were found. You may need to install these additional Boost libraries. Alternatively, set BOOST_LIBRARYDIR to the directory containing Boost libraries or BOOST_ROOT to the location of Boost. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/pulseview: update musl patchGravatar Bernd Kuhls2016-02-072-4/+54
| | | | | | | | Upstream requested to update the source of the musl patch: http://article.gmane.org/gmane.comp.debugging.sigrok.devel/1954 Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/pulseview: bump version to 0.3.0Gravatar Bernd Kuhls2016-01-312-3/+15
| | | | | | | | | | | Switch to upstream tarball, remove autoreconf, add hash. Upstream expects the boost unit tests being activated by default: http://sigrok.org/gitweb/?p=pulseview.git;a=blobdiff;f=CMakeLists.txt;h=77b0137db22b7b6cab80d8aee7c97fecb8c542bf;hp=a82953cc166141af626ace0e5d2b3a285bf20eea;hb=f513bec599b8d626f914aa804a01325914bdb5e9;hpb=8ada6ef1319fa11fd594a34853967c1f9688913b Add some logic to pulseview.mk to disable them if needed. Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* glibmm: bump to version 2.46.1Gravatar Gustavo Zacarias2015-11-141-3/+4
| | | | | | | | | | | Adjust pulseview/libsigrok for the gcc >= 4.8 dependency. Line wrap comment depends for pulseview. Drop redundant libsigrok depend on comment for libsigrok++. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* libsigrok: depends on gcc >= 4.7Gravatar Thomas Petazzoni2015-08-051-6/+3
| | | | | | | | | | | | | | | | | | | | | Until recently, only the C++ bindings of libsigrok needed a recent compiler because they are written in C++11. However, now, libsigrok itself is written in C11, which is only available since gcc 4.7. So, this commit replaces the CodeSourcery-specific exclusions by a proper dependency on gcc >= 4.7. The sigrok-cli and pulseview packages, which select libsigrok, are also updated accordingly. Fixes: http://autobuild.buildroot.org/results/1d7/1d75497009f1e3b06236b3409fd768dcf7956b87/ http://autobuild.buildroot.org/results/563/563378e3f6320980153c8c972ceba5e913fe933f/ [Thomas: add autobuilder references, as suggested by Yann E. Morin.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Reviewed-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
* pulseview: bump commit hashGravatar Bartosz Golaszewski2015-06-301-1/+1
| | | | | | | | Include commit ec6cc07f which fixes an issue causing build failures on several architectures. Signed-off-by: Bartosz Golaszewski <bgolaszewski@baylibre.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/libsigrok: blacklist CS powerpc toolchainsGravatar Romain Naour2015-05-201-0/+5
| | | | | | | | | | | | | | | | | | | | Even though BR2_PACKAGE_LIBSIGROKCXX is selected, the C++ binding is disabled due to lack of C++11 support in the toolchain. Configure output: Enabled language bindings: - C++............................. no (C++11 compiler required) So disable libsigrok C++ binding and pulseview for CS powerpc toolchains. Fixes: http://autobuild.buildroot.net/results/737/737453011ac0d13ab197258171ffa0f81bc4c368/ [Thomas: use 'depends on !foo && !bar' instead of 'depends on !(foo || bar)', seems it looks more logical in this situation.] Signed-off-by: Romain Naour <romain.naour@openwide.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* boost: disable on NIOS 2 with broken toolchainsGravatar Thomas Petazzoni2015-05-161-0/+2
| | | | | | | | | | | | | | | | | | The current NIOS 2 toolchains are not capable of building Boost, so let's disable it and its reverse dependencies. Even though it's not strictly an architecture dependency, we use the <pkg>_ARCH_SUPPORTS paradigm for this dependency, since it simplifies a lot handling all boost reverse dependencies, and is anyway quite similar to an architecture dependency since we don't display a comment about this dependency. Fixes: http://autobuild.buildroot.net/results/e119b1ef55c546e0d0598b85c46ceefa5c43d5a6/ [Peter: also update mpd comment] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* pulseview: bump commit hashGravatar Bartosz Golaszewski2015-04-131-1/+1
| | | | | | | Make recently merged new option bindings available to users of pulseview. Signed-off-by: Bartosz Golaszewski <bgolaszewski@baylibre.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* Revert "libsigrok: mark libsigrokcxx as broken"Gravatar Bartosz Golaszewski2015-04-121-2/+0
| | | | | | | | | This reverts commit 41e81b7ae149319950814efe3c39acb1200167d2. Doxygen dependency issue for libsigrokcxx has been fixed. Signed-off-by: Bartosz Golaszewski <bgolaszewski@baylibre.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libsigrok: mark libsigrokcxx as brokenGravatar Thomas Petazzoni2015-04-081-0/+2
| | | | | | | | | It requires doxygen to generate the C++ bindings, which doesn't have a package in Buildroot. Until this gets resolved, mark libsigrokcxx and its reverse dependency pulseview as broken to avoid build failures in the autobuilders. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* pulseview: new packageGravatar Bartosz Golaszewski2015-03-202-0/+51
[Thomas: - Fix dependency on C++, it should use BR2_INSTALL_LIBSTDCPP and not BR2_TOOLCHAIN_BUILDROOT_CXX. - Fix comment dependency, there should be an || between all the toolchain dependencies. Also fix the dependency on Qt5 for the comment, which was in the wrong way: the comment was displayed only when Qt5 was disabled. - Use -DDISABLE_WERROR=TRUE instead of -DDISABLE_WERROR=y, since TRUE/FALSE are normally the accepted values for CMake options.] Signed-off-by: Bartosz Golaszewski <bgolaszewski@baylibre.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>